# 아이템 프로모션 업데이트

프로모션을 업데이트합니다.

참고이전 데이터를 새 데이터로 교체합니다. 일부 프로모션만 업데이트하려면 요청 시 필요한 모든 데이터도 전송해야 합니다.

프로모션은 아이템에 대한 할인(%) 혜택을 제공합니다.
지정된 아이템의 모든 가격에 할인이 적용됩니다.

Endpoint: PUT /v3/project/{project_id}/admin/promotion/{promotion_id}/item
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    프로젝트 ID. 이 매개 변수는 프로젝트 이름 옆의 관리자 페이지에서 또는 프로젝트 작업 시 브라우저 주소 표시줄에서 확인할 수 있습니다. URL 형식은 다음과 같습니다: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `promotion_id` (integer, required)
    프로모션 ID입니다. 프로젝트 내부의 고유 프로모션 식별자입니다.
    Example: 111425

## Request fields (application/json):

  - `name` (object, required)
    프로모션의 이름입니다. 키/값 쌍을 포함해야 합니다.
여기에서 키는 "^[a-z]{2}-[A-Z]{2}$" 형식의 로케일이며 값은 문자열입니다.
    Example: {"en-US":"Promotion","ru-RU":"Акция"}

  - `promotion_periods` (array)
    프로모션의 유효 기간. 기간이 여러 개 지정된 경우 date_from와 date_until가 모두 필요합니다.

  - `promotion_periods.date_from` (string, required)
    지정된 프로모션의 시작 날짜.
    Example: "2020-08-11T10:00:00+03:00"

  - `promotion_periods.date_until` (string,null)
    지정된 프로모션의 종료 날짜. null로 설정된 경우 프로모션은 무기한입니다. 단일 유효 기간이 지정된 경우에만 null로 설정할 수 있습니다.
    Example: "2020-08-11T20:00:00+03:00"

  - `discount` (object, required)

  - `discount.percent` (string, required)
    퍼센트 할인입니다.
이 퍼센트를 사용하여 계산한 값을 사용하여 아이템의 가격이 낮아지게 한 다음 소수점 이하 2자리로 반올림합니다.
    Example: 10

  - `items` (array, required)

  - `items.sku` (string, required)
    아이템 SKU입니다.

  - `attribute_conditions` (array)
    사용자 특성 검증 조건. 사용자 특성이 지정된 모든 조건과 일치하는지 여부에 따라 프로모션의 가용성을 결정합니다.

  - `price_conditions` (array,null)
    프로모션을 적용하기 위한 가격 범위를 설정하는 조건을 가진 개체 배열입니다. 프로모션은 가격이 배열의 모든 조건을 충족하는 아이템에만 적용됩니다. 이 배열을 전달하는 경우 [아이템](/ko/api/shop-builder/operation/create-item-promotion/#!path=items&t=request) 개체의 값이 null로 설정됩니다.

  - `price_conditions.operator` (string, required)
    프로모션을 적용하기 위한 가격 범위를 설정하기 위한 비교 연산자입니다.

가능한 값:
- ge - 이상
- gt - 초과
- le - 이하
- lt - 미만
- eq - 동일
- ne - 동일하지 않음
    Enum: "ge", "gt", "le", "lt", "eq", "ne"

  - `price_conditions.value` (string, required)
    프로모션을 적용하기 위한 가격 범위를 결정하기 위한 값입니다.

  - `limits` (object)
    프로모션 제한입니다.

  - `limits.per_user` (integer,null)
    개별 사용자에 대한 프로모션 제한입니다.

  - `limits.recurrent_schedule` (object,null)
    새로고침 기간을 제한합니다.

  - `limits.recurrent_schedule.per_user` (any)
    사용자 제한 새로고침 기간입니다.

  - `excluded_promotions` (array)
    이 프로모션을 적용할 때 제외할 프로모션 ID 목록입니다. Example: [12, 789]

  - `is_enabled` (boolean)
    프로모션 활성화 여부.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9502

  - `errorMessage` (string)
    Example: "[0401-9502]: Can not find promotion with ID = 111425 in project 59080"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-1102]:  Unprocessable Entity. The property `items` is required"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


## Response 204 fields
